--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Contains the &quot;lost&quot; colours in the palette. These colours could not be properly loaded (e.g., L*a*b* is not supported by Color, so it is &quot;lost&quot;) or are not understood by the algorithms.
  name: lost
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Returns statistics about the nature of the colours loaded.
  name: statistics
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: version
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: from_file
- !ruby/object:RI::MethodSummary 
  name: from_io
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: A class that can read an Adobe Color palette file (used for Photoshop swatches) and provide a Hash-like interface to the contents. Not all colour formats in ACO files are supported. Based largely off the information found by Larry Tesler[http://www.nomodes.com/aco.html].
- !ruby/struct:SM::Flow::P 
  body: Not all Adobe Color files have named colours; all named entries are returned as an array.
- !ruby/struct:SM::Flow::VERB 
  body: "  pal = Color::Palette::AdobeColor.from_file(my_aco_palette)\n  pal[0]          =&gt; Color::RGB&lt;...&gt;\n  pal[&quot;white&quot;]    =&gt; [ Color::RGB&lt;...&gt; ]\n  pal[&quot;unknown&quot;]  =&gt; [ Color::RGB&lt;...&gt;, Color::RGB&lt;...&gt;, ... ]\n"
- !ruby/struct:SM::Flow::P 
  body: AdobeColor palettes are always indexable by insertion order (an integer key).
- !ruby/struct:SM::Flow::P 
  body: Version 2 palettes use UTF-16 colour names.
constants: []

full_name: Color::Palette::AdobeColor
includes: 
- !ruby/object:RI::IncludedModule 
  name: Enumerable
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: "[]"
- !ruby/object:RI::MethodSummary 
  name: each
- !ruby/object:RI::MethodSummary 
  name: each_name
- !ruby/object:RI::MethodSummary 
  name: size
- !ruby/object:RI::MethodSummary 
  name: values_at
name: AdobeColor
superclass: Object
